private BalloonOptions SetBalloonOptions() { BalloonOptions options = this.swModel.Extension.CreateBalloonOptions(); options.Style = (int)swBalloonStyle_e.swBS_Circular; options.Size = (int)swBalloonFit_e.swBF_Tightest; options.UpperTextContent = (int)swBalloonTextContent_e.swBalloonTextCustom; options.LowerTextContent = (int)swBalloonTextContent_e.swBalloonTextCustom; options.ShowQuantity = false; //options.ItemNumberStart = 1; //options.ItemNumberIncrement = 1; //options.ItemOrder = (int)swBalloonItemNumbersOrder_e.swBalloonItemNumbers_DoNotChangeItemNumbers; return(options); }
public SolidDrawing(SldWorks swApp, ModelDoc2 swModel) { this.swApp = swApp; this.swModel = swModel; this.swDraw = (DrawingDoc)this.swModel; this.DimList = GetDimensions(); this.DimTolDict = GetDimTolDict(); this._ListDim_Tol = GetListDim_Tol(); this.BalloonOpt = SetBalloonOptions(); //CreateBalloons(); AddDimensionNumber(); this.swModel.EditRebuild3(); }